// ColorBox.cpp : implementation file
//
// CrackUp version 1.0
// Copyright  1998 Ziff-Davis, Inc.
// First published in PC Magazine, US Edition, November 3, 1998
// Written by Bob Flanders and Gregory A. Wolking
//
// Implements a picture box control whose client area is filled in
// with the COLORREF specified in the m_crFaceColor member variable.

#include "stdafx.h"
#include "crackup.h"
#include "ColorBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CColorBox

CColorBox::CColorBox()
{
	m_crFaceColor = RGB(0,0,0);
}

CColorBox::~CColorBox()
{
}


BEGIN_MESSAGE_MAP(CColorBox, CStatic)
	//{{AFX_MSG_MAP(CColorBox)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CColorBox message handlers

void CColorBox::OnPaint() 
{

	CPaintDC dc(this); // device context for painting
	CRect rect;

	GetClientRect(&rect);
	dc.SetMapMode(MM_TEXT);				// unit = pixel
	dc.FillSolidRect(&rect, m_crFaceColor);		// .. set the color
	dc.Draw3dRect(&rect,				// in this rectangle
				  RGB(0,0,0),			// .. black top and left
				  RGB(255,255,255));	// .. white bottom and right
}
